4S-IMPORT(1J)

NAME
4s-import - Import RDF into a 4store KB

SYNOPSIS
4s-import kbname [-v] [-a] [-M default-model] [-m model] [-f format] [rdf-file] ...

-v, --verbose
    Increase verbosity (by default success is silent)

-a, --add
    Ordinarily importing RDF to a model replaces any previous contents of that model, by using the --add flag this behaviour is overridden and any triples which were previously in the model are retained.

-M, --model-default
    Set a model (graph) URI which is used by default for all imported files

-m, --model
    Set a model (graph) URI for the next named file only (overrides -M if it has been used)

-f, --format
    Tell the RDF parser the format of the files (if not specified the parser will guess)

SEE ALSO
4s-query(1), 4s-size(1), 4s-httpd(1), 4s-backend(1), 4s-delete-model(1)

EXAMPLES
$ 4s-import demo one.ttl two.xrdf

Imports two files into the demo KB, each as a separate model (graph) guessing the RDF format used for each file

$ 4s-import demo -M http://example.com/menu starters.ttl mains.ttl sweets.ttl

Imports three files into a single graph named <http://example.com/menu>